package com.itjob.service;

import java.util.List;
import com.itjob.dao.model.User;
/**
 * 用户信息管理的业务逻辑接口类.
 */
public interface UserManager {
	public int userLogin(String loginName, String loginPasswd) throws Exception;
	public User getUser(String loginName) throws Exception;
	public List getUserList() throws Exception;
	public void saveUser(User user) throws Exception;
	public void updateUser(User user) throws Exception;
	public void deleteUser(String[] loginNameArray) throws Exception;
	public void updateUserRole(String loginName, String roleIds) throws Exception;
}
